Subject: Re: bug#30731: Slower startup using March (27.0.50) build in windows

From: Noam Postavsky <[email-masked]>
Date: Mon, 19 Mar 2018 19:41:50 -0400

forwarded 30731 https://lists.gnu.org/archive/html/emacs-devel/2018-03/msg00040.html
close 30731
quit

Shuguang Sun <[email-masked]> writes:

> The diff files compares the loading time given package initialized
> early or late. And I attached a list of packages I installed.

The variables which take longer seem to have custom setters; those don't
activate when the library is not loaded.  So basically, I think this
difference is to be expected.

Since the patches mention in
https://lists.gnu.org/archive/html/emacs-devel/2018-03/msg00040.html
have now been merged, I think we can consider this bug resolved.

[1: 2db57579b0]: 2018-03-19 10:44:40 +0200
  Various follow-ups for early init file changes
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=2db57579b08ac99c464b6d3698648b3167fc5d55